Index: /pjproject/branches/projects/vs-reorg2/third_party/build/portaudio/libportaudio.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg2/third_party/build/portaudio/libportaudio.vcproj	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/third_party/build/portaudio/libportaudio.vcproj	(revision 2654)
@@ -3561,4 +3383,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Release|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Debug-Static|Win32"
 							>
@@ -3586,4 +3440,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug-Static|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release-Dynamic|Win32"
 							>
@@ -3611,4 +3497,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Release-Dynamic|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Debug-Dynamic|Win32"
 							>
@@ -3636,4 +3554,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug-Dynamic|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release-Static|Win32"
 							>
@@ -3661,44 +3611,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Pocket PC 2003 (ARMV4)"
 							ExcludedFromBuild="true"
@@ -3709,44 +3619,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Smartphone 2003 (ARMV4)"
 							ExcludedFromBuild="true"
@@ -3757,85 +3627,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
 							ExcludedFromBuild="true"
 							>
@@ -3882,4 +3672,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -3907,4 +3729,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Release|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Debug-Static|Win32"
 							>
@@ -3932,4 +3786,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug-Static|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release-Dynamic|Win32"
 							>
@@ -3957,4 +3843,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Release-Dynamic|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Debug-Dynamic|Win32"
 							>
@@ -3982,4 +3900,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug-Dynamic|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release-Static|Win32"
 							>
@@ -4007,44 +3957,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Pocket PC 2003 (ARMV4)"
 							ExcludedFromBuild="true"
@@ -4055,44 +3965,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Smartphone 2003 (ARMV4)"
 							ExcludedFromBuild="true"
@@ -4103,85 +3973,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
 							ExcludedFromBuild="true"
 							>
@@ -4422,4 +4212,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -4447,4 +4269,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Release|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Debug-Static|Win32"
 							>
@@ -4472,4 +4326,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug-Static|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release-Dynamic|Win32"
 							>
@@ -4497,4 +4383,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Release-Dynamic|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Debug-Dynamic|Win32"
 							>
@@ -4522,4 +4440,36 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug-Dynamic|Pocket PC 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Smartphone 2003 (ARMV4)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release-Static|Win32"
 							>
@@ -4547,44 +4497,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Pocket PC 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Pocket PC 2003 (ARMV4)"
 							ExcludedFromBuild="true"
@@ -4595,44 +4505,4 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Smartphone 2003 (ARMV4)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Smartphone 2003 (ARMV4)"
 							ExcludedFromBuild="true"
@@ -4643,85 +4513,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="Debug|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Release-Static|Windows Mobile 5.0 Pocket PC SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Static|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
-							ExcludedFromBuild="true"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug-Dynamic|Windows Mobile 5.0 Smartphone SDK (ARMV4I)"
 							ExcludedFromBuild="true"
 							>
Index: /pjproject/branches/projects/vs-reorg2/third_party/build/srtp/srtp_config.h
===================================================================
--- /pjproject/branches/projects/vs-reorg2/third_party/build/srtp/srtp_config.h	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/third_party/build/srtp/srtp_config.h	(revision 2654)
@@ -142,4 +142,5 @@
 #   pragma warning(disable:4018) // signed/unsigned mismatch
 #   pragma warning(disable:4244) // conversion from int64 to int
+#   pragma warning(disable:4100) // unreferenced formal parameter
 #endif
 
Index: /pjproject/branches/projects/vs-reorg2/third_party/g7221/common/basic_op.h
===================================================================
--- /pjproject/branches/projects/vs-reorg2/third_party/g7221/common/basic_op.h	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/third_party/g7221/common/basic_op.h	(revision 2654)
@@ -16,6 +16,6 @@
 #define MIN_16 (Word16)(pj_uint16_t)0x8000
 
-#define UMAX_32 (Word32)0xffffffffL
-#define UMIN_32 (Word32)0x00000000L
+#define UMAX_32 (UWord32)0xffffffffL
+#define UMIN_32 (UWord32)0x00000000L
 
 /*___________________________________________________________________________
Index: /pjproject/branches/projects/vs-reorg2/third_party/srtp/crypto/cipher/cipher.c
===================================================================
--- /pjproject/branches/projects/vs-reorg2/third_party/srtp/crypto/cipher/cipher.c	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/third_party/srtp/crypto/cipher/cipher.c	(revision 2654)
@@ -270,5 +270,5 @@
   for (j=0; j < NUM_RAND_TESTS; j++) {
     unsigned length;
-    int plaintext_len;
+    unsigned plaintext_len;
     uint8_t key[MAX_KEY_LEN];
     uint8_t  iv[MAX_KEY_LEN];
Index: /pjproject/branches/projects/vs-reorg2/third_party/srtp/crypto/include/cipher.h
===================================================================
--- /pjproject/branches/projects/vs-reorg2/third_party/srtp/crypto/include/cipher.h	(revision 2653)
+++ /pjproject/branches/projects/vs-reorg2/third_party/srtp/crypto/include/cipher.h	(revision 2654)
@@ -128,7 +128,7 @@
   uint8_t *key;                               /* key                      */
   uint8_t *idx;                               /* packet index             */
-  int plaintext_length_octets;                /* octets in plaintext      */ 
+  unsigned int plaintext_length_octets;	      /* octets in plaintext      */ 
   uint8_t *plaintext;                         /* plaintext                */
-  int ciphertext_length_octets;               /* octets in plaintext      */ 
+  unsigned int ciphertext_length_octets;      /* octets in plaintext      */ 
   uint8_t *ciphertext;                        /* ciphertext               */
   struct cipher_test_case_t *next_test_case;  /* pointer to next testcase */
